Get resource report columns
curl --request GET \
--url https://api.vantage.sh/v2/resource_reports/columns \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vantage.sh/v2/resource_reports/columns"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vantage.sh/v2/resource_reports/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"columns": [
"provider",
"label",
"accruedCosts",
"recommendationSavings",
"resource",
"type",
"region",
"account",
"provisionedState",
"maxCpu",
"maxMemory",
"maxGpu",
"maxGpuMemory",
"maxEbsReadOpsPerSecond",
"maxEbsWriteOpsPerSecond",
"maxEbsReadBytesPerSecond",
"maxEbsWriteBytesPerSecond",
"maxDiskReadOpsPerSecond",
"maxDiskWriteOpsPerSecond",
"maxDiskReadBytesPerSecond",
"maxDiskWriteBytesPerSecond",
"maxNetworkInBytesPerSecond",
"maxNetworkOutBytesPerSecond",
"maxNetworkPacketsInPerSecond",
"maxNetworkPacketsOutPerSecond",
"maxNetworkThroughputDailyByte",
"maxDatabaseConnections",
"instanceId",
"imageId",
"vpcId",
"subnetId",
"publicIpAddress",
"privateIpAddress",
"publicDnsName",
"instanceType",
"instanceFamily",
"platform",
"spotInstanceRequestId",
"launchTime",
"instanceLifecycle",
"state",
"name",
"platformType",
"platformDetails",
"spotInfo",
"spotPrice",
"datadogAgentInstalled",
"networkInterfaces",
"tags"
]
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}ResourceReports
Get resource report columns
List available columns for a resource type.
GET
/
resource_reports
/
columns
Get resource report columns
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
VQL resource type name (https://docs.vantage.sh/vql_resource_report#costs-by-resource-type)
Response
Returns array of available column names for the specified resource type
ResourceReportColumns model
Array of available column names for the specified resource type.
⌘I